Package org.picocontainer.injectors

# Class ConstructorInjector.CtorAndAdapters<TYPE>

java.lang.Object
org.picocontainer.injectors.ConstructorInjector.CtorAndAdapters<TYPE>

Enclosing class:
  `ConstructorInjector<T>`

protected class ConstructorInjector.CtorAndAdapters<TYPE> extends Object

## Constructor Summary

Constructors
Constructor
Description
`CtorAndAdapters(Constructor<TYPE> ctor, Parameter[] parameters, ComponentAdapter[] injecteeAdapters)`

## Method Summary

Modifier and Type
Method
Description
`Constructor<TYPE>`
`getConstructor()`
`ComponentAdapter[]`
`getInjecteeAdapters()`
`Object[]`
`getParameterArguments(PicoContainer container)`
`Parameter[]`
`getParameters()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CtorAndAdapters

public CtorAndAdapters(Constructor<TYPE> ctor, Parameter[] parameters, ComponentAdapter[] injecteeAdapters)

## Method Details

### getConstructor

public Constructor<TYPE> getConstructor()

### getParameterArguments

public Object[] getParameterArguments(PicoContainer container)

### getInjecteeAdapters

public ComponentAdapter[] getInjecteeAdapters()

### getParameters

public Parameter[] getParameters()